* {
    box-sizing: border-box;
}

html {
    font-family: sans-serif;
}

body {
    margin: 0;
    background-color: #fcfcfc;
    min-height: 100%;
}

.center {
    text-align: center;
}

img.center {
    display: block;
    margin-right: auto;
    margin-left: auto;
}

a:link, a:visited {
    color: salmon;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

a:link.nav, a:visited.nav, a:hover.nav {
    color: #8a8a8a;
    text-decoration: none;
}

p.aboutme {
    padding-left: 30%;
    padding-right: 30%;
}

/* div shenanigans */

.bar {
    padding: 0px;
    height: 35px;
    background-color: #282828;
    line-height: 0px;
}

.bar div {
    top: 0;
    display: block;
    align-content: flex-start;
    overflow: hidden;
}

div.info {
    float: left;
    font-size: 18px;
    margin-left: 10px;
    color: #fcfcfc;
}

div.nav {
    margin-right: 10px;
    float: right;
}

div.nav p {
    color: #fcfcfc;
}

div.nav a {
    color: #8a8a8a;
    text-decoration: none;
}

div.content {
    margin-left: 10px;
    margin-right: 10px;
}

div.social {
    position: absolute;
    bottom: 0;

    margin-bottom: 10px;
    width: 100%;
    overflow-x: hidden;
}

div.social p {
    text-align: center;
}

div.social a:link, div.social a:visited, div.social a:hover {
    text-decoration: none;
    padding: 1px;
    color: #282828;
}

span.hyphen {
    padding-left: 5px;
    padding-right: 5px;
}

div.poweredby {
    position: absolute;
    bottom: 0;
    margin: 10px;
}